SRC/zlanht.f(3)

NAME
SRC/zlanht.f

SYNOPSIS

  Functions/Subroutines
double precision function zlanht (norm, n, d, e)
ZLANHT returns the value of the 1-norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian tridiagonal matrix.

Function/Subroutine Documentation

  double precision function zlanht (character norm, integer n, double precision, dimension( * ) d, complex*16, dimension( * ) e)

ZLANHT returns the value of the 1-norm, or the Frobenius norm, or the infinity norm, or the element of largest absolute value of a complex Hermitian tridiagonal matrix.

Purpose:

    !>
    !> ZLANHT  returns the value of the one norm,  or the Frobenius norm, or
    !> the  infinity norm,  or the  element of  largest absolute value  of a
    !> complex Hermitian tridiagonal matrix A.
    !>

Returns
    ZLANHT

    !>
    !>    ZLANHT = ( max(abs(A(i,j))), NORM = 'M' or 'm'
    !>             (
    !>             ( norm1(A),         NORM = '1', 'O' or 'o'
    !>             (
    !>             ( normI(A),         NORM = 'I' or 'i'
    !>             (
    !>             ( normF(A),         NORM = 'F', 'f', 'E' or 'e'
    !>
    !> where  norm1  denotes the  one norm of a matrix (maximum column sum),
    !> normI  denotes the  infinity norm  of a matrix  (maximum row sum) and
    !> normF  denotes the  Frobenius norm of a matrix (square root of sum of
    !> squares).  Note that  max(abs(A(i,j)))  is not a consistent matrix norm.
    !>

Parameters
    NORM

    !>          NORM is CHARACTER*1
    !>          Specifies the value to be returned in ZLANHT as described
    !>          above.
    !>

    N

    !>          N is INTEGER
    !>          The order of the matrix A.  N >= 0.  When N = 0, ZLANHT is
    !>          set to zero.
    !>

    D

    !>          D is DOUBLE PRECISION array, dimension (N)
    !>          The diagonal elements of A.
    !>

    E

    !>          E is COMPLEX*16 array, dimension (N-1)
    !>          The (n-1) sub-diagonal or super-diagonal elements of A.
    !>

Author
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Definition at line 100 of file zlanht.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.